# coding=utf-8


class BotPayload:
    @classmethod
    def factory(cls, **kwargs):
        return cls(
            **{
                key: value
                for key, value in kwargs.items()
                if not key.startswith("_") and not key.startswith("__")
            }
        )

    def __init__(self, question: str, answer: str, **kwargs):
        self.question = question
        self.answer = answer
        for k, v in kwargs.items():
            setattr(self, k, v)

    def to_dict(self):
        return {
            key: value
            for key, value in self.__dict__.items()
            if not key.startswith("_")
        }
